"""The application's model objects"""
import sqlalchemy as sa
from sqlalchemy import orm

from ajax.model import meta

def init_model(engine):

    sm = orm.sessionmaker(bind=engine)

    meta.engine = engine
    meta.Session = orm.scoped_session(sm)

from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base(metadata=meta.metadata)
class Page(Base):
    __tablename__ = 'pages'
    
    id = sa.Column(sa.Integer, primary_key=True)
    title = sa.Column(sa.Unicode(255), nullable=False)
    number = sa.Column(sa.Integer, nullable=False)
    content = sa.Column(sa.Text)


